{% macro list(galleries) %}

    {% import 'SyliusResourceBundle:Macros:buttons.html.twig' as buttons %}
    {% import 'SyliusWebBundle:Backend/Macros:alerts.html.twig' as alerts %}

    {% if galleries|length > 0 %}
        <table class="sylius-products-table table table-bordered">
            <thead>
            <tr>
                <th class="id">{{ sylius_resource_sort('id', '#id') }}</th>
                <th class="info">{{ sylius_resource_sort('name', 'Name') }}</th>
                <th class="info">{{ sylius_resource_sort('enabled', 'Enabled') }}</th>
                <th></th>
            </tr>
            </thead>
            <tbody>
            {% for gallery in galleries %}
                <tr id="{{ gallery.id }}">
                    <td class="id">
                        {{ gallery.id }}
                    </td>
                    <td class="info">
                        <div class="media">
                            <a href="{{ path('elbotrade_gallery_backend_show', {'galleryId': gallery.id}) }}" class="pull-left"
                               title="Details">
                                {% if gallery.galleryHasMedias %}
                                    {% thumbnail gallery.getFirstMedia, 'small' %}
                                {% else %}
                                    <img src="http://placehold.it/50x40" alt="" class="imgmedia-object"/>
                                {% endif %}
                            </a>

                            <div class="media-body">
                                <h5 class="media-heading">
                                    <a class="name"
                                       href="{{ path('elbotrade_gallery_backend_show', {'galleryId': gallery.id}) }}"
                                       title="Details">
                                        {{ gallery.name }}
                                    </a>
                                </h5>
                            </div>
                        </div>
                    </td>
                    <td>
                        {{ gallery.enabled }}
                    </td>
                    <td class="center-text">
                        {{ buttons.edit(path('elbotrade_gallery_backend_update', {'galleryId': gallery.id})) }}
                        {{ buttons.delete(path('elbotrade_gallery_backend_delete', {'galleryId': gallery.id})) }}
                    </td>
                </tr>
            {% endfor %}
            </tbody>
        </table>
    {% else %}
        {{ alerts.info('Žiadná galéria k zobrazení.') }}
    {% endif %}

{% endmacro %}
